[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Helper script for backport?

Russ Allbery <rra@debian.org> writes:
> Carsten Aulbert <carsten.aulbert@aei.mpg.de> writes:

>> W: /root/.pbuilderrc does not exist
>>   -> using cowbuilder as pbuilder
>> dpkg-checkbuilddeps: Unmet build dependencies: cdbs r-base-dev
>> W: Unmet build-dependency in source
>> dpkg-buildpackage: cannot combine -nc and -S

> Hm.  There's a difference between your dpkg and my dpkg, since it
> worked fine for me.  What version of dpkg-dev are you using?

Ah, you need 1.15.1 or later.  That's a bit more aggressive than I was
hoping, although the version in squeeze is okay.

  * Allow to combine -nc and -S in dpkg-buildpackage but display a warning
    saying that it's not advised. Closes: #304404

I think you'll either need to use dpkg-dev 1.15.1 or later or modify the
backport script to remove -nc (or revert to the older version) and
install the necessary build-depends outside the chroot.

Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>

Reply to: